from django.urls import path
from . import views
from django.conf.urls import handler500

urlpatterns = [
    # update / temproary urls
    path('home',views.view_homepage,name='home'),
    path('home/',views.view_homepage,name='home'),
    path('AdminCreate', views.Admin_Account_Creation, name='admincreate'), 
    path('initialupdate', views.init_updatedata, name='initialupdate'), 

    # dashboard urls
    path('dashboard',views.view_dashboard,name='view_dashboard'), 

    #state details
    path('district/state/form/',views.formview_District_State,name='district_state_form'),    
    path('district/state/form/<int:id>',views.formview_District_State,name='district_state_form'),
    path('district/state/',views.view_District_State,name='district_state'),
    path('district/state/<str:viewtype>',views.view_District_State,name='district_state'),
    # path('state/delete/',views.deleteview_country_state,name='state_delete'),
    # path('state/delete/<int:id>',views.deleteview_country_state,name='state_delete'),  
 
    path('tags/form/',views.formview_tags,name='tags_form'),
    path('tags/form/<int:id>',views.formview_tags,name='tags_form'),
    path('tags/',views.view_tags,name='tags'),
    path('tags/<str:viewtype>',views.view_tags,name='tags'),
    path('tags/delete/',views.deleteview_tags,name='tags_delete'),
    path('tags/delete/<int:id>',views.deleteview_tags,name='tags_delete'),    

    
    path('patient/form/',views.formview_patient,name='patient_form'),
    path('patient/form/<int:id>',views.formview_patient,name='patient_form'),
    path('patient/',views.view_patient,name='patient'),
    path('patient/<str:viewtype>',views.view_patient,name='patient'),
    # path('patient/delete/',views.deleteview_patient,name='patient_delete'),
    # path('patient/delete/<int:id>',views.deleteview_patient,name='patient_delete'), 



    path('gender/form/',views.formview_gender,name='gender_form'),
    path('gender/form/<int:id>',views.formview_gender,name='gender_form'),
    path('gender/',views.view_gender,name='gender'),
    path('gender/<str:viewtype>',views.view_gender,name='gender'),


    
    path('ID/type/form/',views.formview_ID_type,name='id_type_form'),
    path('ID/type/form/<int:id>',views.formview_ID_type,name='id_type_form'),
    path('ID/type/',views.view_ID_type,name='id_type'),
    path('ID/type/<str:viewtype>',views.view_ID_type,name='id_type'),



    path('zone/system/form/',views.formview_Zone_System,name='zone_system_form'),
    path('zone/system/form/<int:id>',views.formview_Zone_System,name='zone_system_form'),
    path('zone/system/',views.view_Zone_System,name='zone_system'),
    path('zone/system/<str:viewtype>',views.view_Zone_System,name='zone_system'),


   path('zone/type/form/',views.formview_Zone_Type,name='zone_type_form'),
    path('zone/type/form/<int:id>',views.formview_Zone_Type,name='zone_type_form'),
    path('zone/type/',views.view_Zone_Type,name='zone_type'),
    path('zone/type/<str:viewtype>',views.view_Zone_Type,name='zone_type'),




        
    path('employee/form/',views.formview_employee,name='employee_form'),
    path('employee/form/<int:id>',views.formview_employee,name='employee_form'),
    path('employee/',views.view_employee,name='employee'),
    path('employee/<str:viewtype>',views.view_employee,name='employee'),

    path('login',views.view_login,name='view_login'),

      

    path('patient/details/',views.view_patient_details,name='patient_details'),
    path('patient/details/<int:pid>',views.view_patient_details,name='patient_details'),

    #employee
    path('employee/details/',views.view_employee_details,name='employee_details'),
    path('employee/details/<int:eid>',views.view_employee_details,name='employee_details'),




        
    path('disease/form/',views.formview_disease,name='disease_form'),
    path('disease/form/<int:id>',views.formview_disease,name='disease_form'),
    path('disease/',views.view_disease,name='disease'),
    path('disease/<str:viewtype>',views.view_disease,name='disease'),


      path('zone/form/',views.formview_zone,name='zone_form'),
    path('zone/form/<int:id>',views.formview_zone,name='zone_form'),
    path('zone/',views.view_zone,name='zone'),
    path('zone/<str:viewtype>',views.view_zone,name='zone'),

    path('GST/form/',views.formview_Master_GST,name='GST_form'),
    path('GST/form/<int:id>',views.formview_Master_GST,name='GST_form'),
    path('GST/',views.view_Master_GST,name='GST'),
    path('GST/<str:viewtype>',views.view_Master_GST,name='GST'),

      
    path('task/form/',views.formview_task,name='task_form'),
    path('task/form/<int:id>',views.formview_task,name='task_form'),
    path('task/',views.view_task,name='task'),
    path('task/<str:viewtype>',views.view_task,name='task'),

            
    path('treatment/form/',views.formview_treatment,name='treatment_form'),
    path('treatment/form/<int:id>',views.formview_treatment,name='treatment_form'),
    path('treatment/',views.view_treatment,name='treatment'),
    path('treatment/<str:viewtype>',views.view_treatment,name='treatment'),


    path('employee/nav/',views.view_nav_emplo,name='employee_form'),
    path('patient/nav/',views.view_nav_patient,name='employee_form'),


#        Thi section is for temproary testing only 


    #mobile_width for forms and tables 

     path('mobile/width',views.formview_mob_patient,name='mobile_width'),
    path('mobile/width/<int:id>',views.formview_mob_patient,name='mobile_width'),
    path('mobile/',views.view_mob_patient,name='mobile'),
    path('mobile/<str:viewtype>',views.view_mob_patient,name='mobile'),

    path('tbl/desktop/',views.view_tbl_for_desk,name='tbl_desktop'),
    path('tbl/desktop/<str:viewtype>',views.view_tbl_for_desk,name='tbl_desktop'),
    path('nav/test/',views.view_bootnav,name='nav_test'),
    path('nav/test/patient/',views.view_bootnav_for_patient,name='nav_test_patient'),
    path('test/1',views.update_inital_view,name='test_1'),
    path('test/2',views.view_testdashboard,name='test_2'),
    path('test/3',views.view_test_report,name='test_3'),
    path('test/4',views.view_testjson,name='test_4'),
    path('test/5',views.view_dynamic_report,name='test_5'), # testing report generation
    path('test/6',views.test_inital_upload,name='test_6'), # testing report generation 
    path('test/7/<str:viewtype>',views.view_stock_overview,name='test_7'), # testing report generation
    path('test/8',views.html_photo_test,name='test_8'), # testing report generation 

    
    
    path('report/IMH/',views.view_dynamic_report,name='report_IMH'), # testing report generation
    path('report/IMH/<str:viewtype>',views.view_dynamic_report,name='report_IMH'), # testing report generation


    
                      
]
#views.error_500_view
handler500 = 'baseapp.views.error_500_view'